﻿@import url('https://fonts.googleapis.com/css?family=Share+Tech+Mono&display=swap');

/* MAJOR OVER-RIDES */
body {
    font-size: .8rem;
    font-weight: 600;
}

.table td._min-width,
.table th._min-width {
    width: 1%;
}
table.dataTable.table-striped > tbody > tr.odd:hover,
table.dataTable.table-striped > tbody > tr.even:hover {
    --bs-table-accent-bg: #e9f4db !important;
}

/* FIXES FOR OFFCANVAS AND Z-INDEX */
.offcanvas { z-index:1080; } /* ensure offcanvas appears on top of expanded panel */
.form-subsec { width: 100%; text-align: center; border-bottom: 1px dashed #999999; line-height: 0.1em; margin: 30px 0 20px;}
.form-subsec span { background: #fff; padding: 0 10px; }
.form-subsec-end { width: 100%; border-bottom: 1px  dashed #999999; line-height: 0.1em; margin: 20px 0 30px;}
.select2-container--open { z-index: 999999; }

.container-dir-form { max-width:750px; }

/* TIME INPUT */
.time-input {
    font-family: 'Share Tech Mono', monospace;
    width: 200px;
    font-size: xx-large;
    text-align: center;
    border-color: red;
    border-style: solid;
    border-radius: 5px;
}
/* COLOR INPUT */
input::-webkit-color-swatch {
    border: none;
}

.swal2-popup .swal2-styled:focus {
    box-shadow: none !important;
}

._info-tooltip {
    border-bottom: 2px dotted #348fe2;
}
.applink {
    text-decoration: none;
    border-bottom: 2px dotted #ff5b57;
    color: black;
}
.applink:hover {
    text-decoration: none;
    border-bottom: 2px solid #ff5b57;
    color: black;
}

/*-------------------------------------------------------------------------------
  RESULTS // HERO IMAGE
-------------------------------------------------------------------------------*/
.hero-image {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    margin-top: 0px;
    height: 350px;
}
/* Small devices (landscape phones, 544px and up) */
@media (min-width: 544px) {
    .hero-image {
        height: 400px;
    }
}
/* Medium devices (tablets, 768px and up) The navbar toggle appears at this breakpoint */
@media (min-width: 768px) {
    .hero-image {
        height: 400px;
    }
}
/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    .hero-image {
        height: 450px;
    }
}
/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    .hero-image {
        height: 500px;
    }
}


/*-------------------------------------------------------------------------------
  RESULTS VIEWER
-------------------------------------------------------------------------------*/
.ff-results {
    font-family: 'Roboto Condensed', sans-serif;
    font-weight: 300;
}
.ff-digits {
    font-family: 'Orbitron', sans-serif;
    letter-spacing: 0.1em;
}



/*-------------------------------------------------------------------------------
  RESULTS // CENTRE LINE OF DATA POINTS
-------------------------------------------------------------------------------*/
.data-points-centre-border {
    border-right-width: 0px !important;
}
/* Small devices (landscape phones, 544px and up) */
@media (min-width: 992px) {
    .data-points-centre-border {
        border-right-width: 1px !important;
    }
}
